<template>
  <div class="all">
    <div class="box">
      <div class="slide-img">
        <img :src="filterImg" alt="bomb" />

        <!-- <div class="overlay">
          <p @click="$router.push({ path: '/product' })" class="buy-btn">buy</p>
        </div> -->
      </div>
      <div class="detail-box">
        <div class="type">
          <a href="#">{{ filterName1 }}</a>
          <span>{{ filterName2 }}</span>
        </div>
        <a href="" class="price">{{ filterPrice }}</a>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  props: ["filterImg", "filterName1", "filterName2", "filterPrice"],
};
</script>
<style scoped>
* {
  margin: 0px;
  padding: 0px;
  /* background-color: #eef8ff; */
}
a {
  text-decoration: none;
}
.box {
  width: 280px;
  /* height: 250px; */
  box-shadow: 2px 4px 5px rgba(0, 0, 0, 0.2);
  border-radius: 10px;
  overflow: hidden;
  margin-bottom: 40px;
}
.slide-img {
  height: 150px;
  position: relative;
}
.slide-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  box-sizing: border-box;
}
.detail-box {
  width: 100%;
  height: 50px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;
  box-sizing: border-box;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
}
.type {
  display: flex;
  flex-direction: column;
}
.type a {
  color: #222222;
  margin: 5px 0px;
  font-weight: 700;
  letter-spacing: 0.5px;
  padding-right: 8px;
}
.type span {
  color: rgba(26, 26, 26, 0.5);
}
.price {
  color: #333333;
  font-weight: 600;
  font-size: 1.1rem;
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
    "Lucida Sans", Arial, sans-serif;
  letter-spacing: 0.5px;
}
.overlay {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  background-color: rgba(92, 95, 236, 0.6);
  display: flex;
  justify-content: center;
  align-items: center;
}
.buy-btn {
  width: 160px;
  height: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: white;
  color: #252525;
  font-weight: 700;
  letter-spacing: 1px;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
  border-radius: 20px;
  box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.2);
}
.buy-btn:hover {
  color: white;
  background-color: #f15fa3;
  transition: all ease 0.3s;
  cursor: pointer;
}
.overlay {
  visibility: hidden;
}
.slide-img:hover .overlay {
  visibility: visible;
  animation: fade 0.5s;
}
.all {
  width: 21%;
  height: 20%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: auto;
  /* margin-left:20px ; */
}
@keyframes fade {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
.box:hover {
  cursor: pointer;
  transform: scale(1.1);
}
</style>
